Skip to main content
PUT
/
api
/
v1
/
lineup
/
{id}
Update broadcast schedule
curl --request PUT \
  --url https://api.example.com/api/v1/lineup/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "channel": "<string>",
  "month": 1073741823,
  "year": 1073741823,
  "title": "<string>",
  "version": 1073741823,
  "effective_from": "2023-12-25",
  "effective_to": "2023-12-25",
  "metadata": "<unknown>"
}
'
{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "medium": "TV",
  "channel": "TV47",
  "month": 5,
  "year": 2026,
  "title": "TV47 MAY 2026",
  "version": 1,
  "effective_from": "2026-05-01",
  "effective_to": "2026-05-31",
  "uploaded_by": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "John Doe",
    "employee_number": "EMP-001"
  },
  "slot_count": {
    "2026-05-01": {
      "day": "THU",
      "count": 12
    }
  },
  "metadata": {},
  "created_at": "2026-05-01T08:00:00Z",
  "updated_at": "2026-05-01T08:00:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.capedigital.co.ke/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your JWT token in the format: Bearer

Path Parameters

id
string<uuid>
required

A UUID string identifying this Broadcast Schedule.

Body

medium
enum<string>
required
  • TV - TV
  • RADIO - Radio
  • DIGITAL - Digital
Available options:
TV,
RADIO,
DIGITAL
channel
string
required
Required string length: 1 - 100
month
integer
required
Required range: 0 <= x <= 2147483647
year
integer
required
Required range: 0 <= x <= 2147483647
title
string
required
Required string length: 1 - 255
version
integer
Required range: 0 <= x <= 2147483647
effective_from
string<date> | null
effective_to
string<date> | null
metadata
any

Response

200 - application/json
id
string<uuid>
required
read-only
medium
enum<string>
required
  • TV - TV
  • RADIO - Radio
  • DIGITAL - Digital
Available options:
TV,
RADIO,
DIGITAL
channel
string
required
Maximum string length: 100
month
integer
required
Required range: 0 <= x <= 2147483647
year
integer
required
Required range: 0 <= x <= 2147483647
title
string
required
Maximum string length: 255
uploaded_by
string
required
read-only
slot_count
object
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
version
integer
Required range: 0 <= x <= 2147483647
effective_from
string<date> | null
effective_to
string<date> | null
metadata
any